std::chrono::operator==(std::chrono::month_weekday)(3)

NAME
std::chrono::operator==(std::chrono::month_weekday) - std::chrono::operator==(std::chrono::month_weekday)

Synopsis
   Defined in header <chrono>
   constexpr bool operator==( const std::chrono::month_weekday& x,
                        const std::chrono::month_weekday& y ) (since C++20)
   noexcept;
   Compares the two month_weekday values x and y.
   The != operator is synthesized from operator==.

Return value
   x.month() == y.month() && x.weekday_indexed() == y.weekday_indexed()

Example
// Run this code
 #include <chrono>
 int main()
 {
     constexpr auto mwdi1{std::chrono::March/std::chrono::Friday[1]};
     constexpr auto mwdi2
     {
         std::chrono::month_weekday
         {
             std::chrono::month(3), std::chrono::weekday(5)[1]
         }
     };
     static_assert(mwdi1 == mwdi2);
 }